> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status (v1)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/status/{affinity}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/status/{affinity}:
    get:
      tags:
        - valorant
      summary: Get status (v1)
      operationId: Status
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusV1'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Region not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    StatusV1:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/StatusV1Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    StatusV1Data:
      type: object
      required:
        - maintenances
        - incidents
      properties:
        incidents:
          type: array
          items:
            $ref: '#/components/schemas/StatusIncident'
        maintenances:
          type: array
          items:
            $ref: '#/components/schemas/StatusIncident'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    StatusIncident:
      type: object
      required:
        - id
        - incident_severity
        - titles
        - updates
        - created_at
        - platforms
      properties:
        archive_at:
          type:
            - string
            - 'null'
        created_at:
          type: string
        id:
          type: integer
          format: int32
          minimum: 0
        incident_severity:
          type: string
        maintenance_status:
          type:
            - string
            - 'null'
        platforms:
          type: array
          items:
            type: string
        titles:
          type: array
          items:
            $ref: '#/components/schemas/StatusIncidentContent'
        updated_at:
          type:
            - string
            - 'null'
        updates:
          type: array
          items:
            $ref: '#/components/schemas/StatusIncidentUpdate'
    StatusIncidentContent:
      type: object
      required:
        - locale
        - content
      properties:
        content:
          type: string
        locale:
          type: string
    StatusIncidentUpdate:
      type: object
      required:
        - id
        - author
        - publish
        - publish_locations
        - translations
        - created_at
        - updated_at
      properties:
        author:
          type: string
        created_at:
          type: string
        id:
          type: integer
          format: int32
          minimum: 0
        publish:
          type: boolean
        publish_locations:
          type: array
          items:
            type: string
        translations:
          type: array
          items:
            $ref: '#/components/schemas/StatusIncidentContent'
        updated_at:
          type: string

````